<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;

use Illuminate\Foundation\Auth\AuthenticatesUsers;

use DB;
use App\Models\Clientes;
use App\Models\Paquetes;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;


class AuthController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    //Bearer
    protected $redirectTo = "/";

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('guest')->except('logout');
    }


    public function getPaquetes(Request $request)
    {


        return Paquetes::select('paqu_tracking',
        'paqu_wayno',
        'paqu_peso',
        'paqu_fecha_proceso_miami',
        'paqu_fecha_embarque_viajando',
        'paqu_fecha_entregado',
        'paqu_fecha_recibido_sucursal')->where('paqu_tracking','=',$request->paqu_tracking)->get();
    }

    public function crearCliente(Request $request)
    {

        DB::beginTransaction();

        try { 

            $cliente = Clientes::create([
                'clie_nombre' => $request->clie_nombre,
                'clie_box' => $request->clie_box,
                'clie_mail' => $request->clie_mail,
                'clie_nacimiento' => $request->clie_nacimiento,
                'clie_tarifa' => $request->clie_tarifa,
                'clie_tarifa2' => $request->clie_tarifa2,
                'clie_tarifa3' => $request->clie_tarifa3,
                'clie_tarifa4' => $request->clie_tarifa4,
                'clie_telefono' => $request->clie_telefono,
                'clie_celular' => $request->clie_celular,
                'clie_direccion' => $request->clie_direccion,
                'zona_id' => $request->zona_id,
                'sucu_id' => $request->sucu_id,
                'clie_tipo' => $request->clie_tipo,
                'clie_cedula' => $request->clie_cedula,
                'clie_genero' => $request->clie_genero,
                'clie_domicilio' => $request->clie_domicilio,
                'clie_sinc_from' => $request->clie_sinc_from,
                'clie_seguro' => $request->clie_seguro,
                'clie_fecha_creacion' => DB::raw("NOW()")

            ]);
            $cliente = $cliente->id;
            DB::commit();
            return response()->json([
                'success' => 'Register has been created.',
                'cliente_id' => $cliente

            ], 201);
        } catch (Exception $e) {

            DB::rollback();

            return response()->json([
                'error' => $e->getMessage(),

            ], 401);
        }
    }
}
